<?php
namespace UCC\UCCPlugin\Controller\Index;

use Magento\Framework\App\Action\Context;
use Magento\Framework\Controller\Result\JsonFactory;
use Magento\Catalog\Model\ProductRepository;

class Index extends \Magento\Framework\App\Action\Action
{
    private $resultJsonFactory;
    protected $_productRepository;

    public function __construct(
        JsonFactory $resultJsonFactory,
        Context $context,
        ProductRepository $productRepository
    )
    {
        parent::__construct($context);
        $this->resultJsonFactory = $resultJsonFactory;
        $this->_productRepository = $productRepository;
    }

    public function execute()
    {
        if (isset($_GET['id'])) {
            $field = $this->_productRepository->getById($_GET['id'])->getCustomAttribute('ucc_gtin_code');
            if ($field !== null) {
                $gtin = $field->getValue();
                return $this->resultJsonFactory->create()->setData(['gtin' => $gtin]);
            }
        }

        return $this->resultJsonFactory->create()->setData(['gtin' => null]);
    }
}
