require([
        'jquery',
        'mage/translate',
        'jquery/validate'],
    function($){
        $.validator.addMethod(
            'validate-ucc-site-id', function (value, element) {
                var validationStatus = false;
                var url = 'https://api.ucancommerce.com/api/v1/plugin/installation';
                var version = 'UNKNOWN';

                $.ajax({
                    type: 'GET',
                    url: window.location.origin + '/magento_version',
                    async: false,
                    contentType: 'application/json',
                    dataType: 'json',
                    complete: function (xhr, textStatus) {
                        version = xhr.responseText;
                    }
                });

                var data = {
                    'pluginToken': value,
                    'shopPlatform': 'MAGENTO',
                    'platformVersion': version
                };

                $.ajax({
                    type: "POST",
                    url: url,
                    data: JSON.stringify(data),
                    async: false,
                    contentType: 'application/json',
                    dataType: 'json',
                    complete: function (xhr, textStatus) {
                        validationStatus = true;
                    }
                });

                console.log(validationStatus);
                return validationStatus;
            }, $.mage.__('Website ID was not validated correctly.'));

        $.validator.addMethod(
            'validate-ucc-site-id-length', function (value, element) {
                return value.length == 36;
            }, $.mage.__('Website ID length was not 36 characters.'));
    }
);
